%define anolis_release 2
Name:     libpcap
Epoch:    14
Version:  1.10.4
Release:  %{anolis_release}%{?dist}
Summary:  A system-independent interface for user-level packet capture
License:  BSD with advertising
URL:      https://www.tcpdump.org/

BuildRequires: make
BuildRequires: bison
BuildRequires: bluez-libs-devel
BuildRequires: flex
BuildRequires: gcc
BuildRequires: glibc-kernheaders >= 2.2.0
BuildRequires: rdma-core-devel

Source:  https://www.tcpdump.org/release/%{name}-%{version}.tar.gz

# https://github.com/the-tcpdump-group/libpcap/commit/73da0d4d65ef0925772b7b7f82a5fbb3ff2c5e4f
Patch0001:  backport-0001-CVE-2023-7256.patch
# https://github.com/the-tcpdump-group/libpcap/commit/2aa69b04d8173b18a0e3492e0c8f2f7fabdf642d
Patch0002:  backport-0002-CVE-2023-7256.patch
# https://github.com/the-tcpdump-group/libpcap/commit/8a633ee5b9ecd9d38a587ac9b204e2380713b0d6
Patch0003:  backport-CVE-2024-8006.patch
%description
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Libraries and header files for the libpcap library
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

This package provides the libraries, include files, and other
resources needed for developing libpcap applications.

%prep
%autosetup -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --enable-rdma --disable-static
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libpcap.a

%files
%license LICENSE
%{_libdir}/libpcap.so.*
%{_mandir}/man7/pcap*.7*

%files doc
%doc README.md CHANGES CREDITS

%files devel
%{_bindir}/pcap-config
%{_includedir}/pcap*.h
%{_includedir}/pcap
%{_libdir}/libpcap.so
%{_libdir}/pkgconfig/libpcap.pc
%{_mandir}/man1/pcap-config.1*
%{_mandir}/man3/pcap*.3*
%{_mandir}/man5/pcap*.5*

%changelog
* Wed May 28 2025 wenxin <wx02272781@alibaba-inc.com>- 14:1.10.4-2
- fix CVE-2023-7256 CVE-2024-8006

* Wed Mar 13 2024 dash <dash@nfschina.com> - 14:1.10.4-1
- New version 1.10.4

* Sun Jan 15 2023 Funda Wang <fundawang@yeah.net> - 14:1.10.3-1
- New version 1.10.3

* Sun Jan 1 2023 Funda Wang <fundawang@yeah.net> - 14:1.10.2-1
- New version 1.10.2

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 14:1.10.1-2
- add doc package

* Wed Mar 09 2022 pangqing <pangqing@uniontech.com> - 14:1.10.1-1
- Init for anolisOS 23

